.post {
  position: relative;
}

.post-scroll {
  border: 1px #E3E3E3 solid;
  border-radius: 10px;
  padding: 4rem;
  background-color: #FCFCFC;
}
.post-scroll__wrapper {
  overflow-y: auto;
  box-sizing: border-box;
  max-height: 67.6rem;
  padding-right: 1.4rem;
}

.post-scroll__wrapper::-webkit-scrollbar {
  background: #EAEAEA;
  border-radius: 20px;
  width: 1rem;
}

.post-scroll__wrapper::-webkit-scrollbar-thumb {
  background-color: #C6C6C6;
  border-radius: 20px;
  width: 1rem;
}

.post-scroll__list {
  display: grid;
  grid-template-columns: 12.5em 1fr;
  padding: 2.4rem 0;
  box-sizing: border-box;
  border-bottom: solid #E3E3E3 1px;
}

.post-scroll__list:first-child {
  padding-top: 0;
}

.post-scroll__list--date {
  color: #5C6D67;
  letter-spacing: 0.02em;
}

.post-scroll__list--category {
  display: block;
  margin-bottom: 0.8rem;
}

.post-scroll__list--product {
  margin-top: 0.8rem;
  display: block;
}

.post-scroll__list--link {
  color: #6FC300;
  border-bottom: solid 1px #6FC300;
  padding-bottom: 1px;
}

.singleHead {
  margin-top: 11rem;
  background-color: #F1F1F1;
  padding-top: 5rem;
  padding-bottom: 6rem;
  margin-bottom: 1.6rem;
}

.singleHead-date {
  display: flex;
  align-items: end;
  gap: 1rem;
  margin-bottom: 1rem;
}

.singleHead-date__year {
  color: #5C6D67;
  font-size: 1.2rem;
  line-height: 1;
  letter-spacing: 0.02EM;
}

.singleHead-date__date {
  font-size: 2.4rem;
  line-height: 1;
  margin-top: 0.4rem;
  letter-spacing: 0.02EM;
}

.singleHead-date__interval {
  font-size: 2.4rem;
}

.singleHead__title {
  font-size: 3.2rem;
  letter-spacing: 0.02em;
  line-height: 4.1rem;
}

.singleContent {
  margin-top: 5.6rem;
  margin-bottom: 10rem;
  position: relative;
}

.singleContent__text {
  padding-bottom: 2.4rem;
  border-bottom: #E3E3E3 solid 1px;
  margin-bottom: 4rem;
  word-break: break-all;
}

.singleContent__text p,
.singleContent__content {
  font-size: 1.8rem;
  line-height: 2.8rem;
}

.singleContent__text a,
.singleContent__content a {
  color: #6FC300;
  text-decoration: underline;
  white-space: wrap;
}

.singleContent__content {
  display: grid;
  gap: 2rem;
}

.wp-block-gallery.has-nested-images.is-cropped figure.wp-block-image:not(#individual-image) {
  flex-grow: 0;
}

@media screen and (max-width: 850px) {
  .post-scroll {
    padding: 2.4rem 2rem;
  }

  .post-scroll__list {
    display: block;
  }

  .post-scroll__list--date {
    font-size: 1.4rem;
    line-height: 1;
    margin-bottom: 0.8rem;
  }

  .post-scroll__wrapper {
    max-height: 36rem;
  }

  .post-scroll__list--text {
    line-height: 2.2rem;
  }


  .post-scroll__wrapper::-webkit-scrollbar {
    border-radius: 13px;
    width: 0.7rem;
  }

  .post-scroll__wrapper::-webkit-scrollbar-thumb {
    border-radius: 13px;
    width: 0.7rem;
  }

  .singleHead {
    margin-top: 0;
    padding: 3.6rem 0;
  }

  .singleHead-date__date {
    font-size: 2rem;
  }

  .singleHead-date__interval {
    font-size: 2rem;
  }

  .singleHead__title {
    line-height: 2.7rem;
    font-size: 2rem;
  }

  .singleContent {
    margin-top: 4rem;
  }

  .singleContent__text p, .singleContent__content {
    font-size: 1.6rem;
    line-height: 2.5rem;
  }

  .singleContent__text {
    margin-bottom: 2.4rem;
  }
}